package splppp0001;

/**
    This class helps the programmer to build HTML pages.
    An HTMLPage consists of an instance of class HTMLHead and of 
    an instance of class HTMLBody.
*/
public class HTMLPage {
    public HTMLBody body;
    public HTMLHead header;

    /**
        Constructor. It initializes the header and the body of the
        HTMLPage.
    */
    public HTMLPage() {
    	header = new HTMLHead();
    	body = new HTMLBody();
    }

    /**
        Method toString is used to assemble the page components.
    */ 
    public String toString() {
    	String out;
    	out = "<HTML>\n";
    	out += header + "\n" + body +"\n";
    	out += "</HTML>";
    	return out;
    }

    public static void main (String[] args) {  
        HTMLPage page = new HTMLPage();
        page.header.setTitle("Pagina di Prova");
        page.header.setAuthor("Cristina e Matteo");
        page.body.addHeading(2,"Titoletto");
        page.body.addParagraph("Prova di testo");
        page.body.addLine("Prova Linea");
        page.body.beginOL();
        page.body.addListItem("Primo item"); 
        page.body.addListItem("Secondo item"); 
        page.body.endOL();
        page.body.beginUL();
        page.body.addListItem("Primo item"); 
        page.body.addListItem("Secondo item"); 
        page.body.endUL();
        page.body.beginForm("POST","mailto:baldoni@di.unito.it");
        page.body.addRadioBut("GRUPPO1","bottone1","etiketta1");
        page.body.addRadioBut("GRUPPO1","bottone2","etiketta2");
        page.body.addRadioBut("GRUPPO1","bottone3","chekitetta1");
        page.body.addCheckBox("check1","check1","chekitetta2");
        page.body.addCheckBox("check2","check2","chekitetta3");
        page.body.addInputText("label1","nome1",40);
        page.body.addInputText("label2","nome2",40);
        page.body.endForm();
        System.out.println(page);
     }
}
